summaryrefslogtreecommitdiffstats
path: root/source/xfce/xfce4-pulseaudio-plugin
diff options
context:
space:
mode:
Diffstat (limited to 'source/xfce/xfce4-pulseaudio-plugin')
-rw-r--r--source/xfce/xfce4-pulseaudio-plugin/slack-desc4
-rwxr-xr-xsource/xfce/xfce4-pulseaudio-plugin/xfce4-pulseaudio-plugin.SlackBuild19
-rw-r--r--source/xfce/xfce4-pulseaudio-plugin/xfce4-pulseaudio-plugin.url1
3 files changed, 17 insertions, 7 deletions
diff --git a/source/xfce/xfce4-pulseaudio-plugin/slack-desc b/source/xfce/xfce4-pulseaudio-plugin/slack-desc
index 1417d6764..020d8f626 100644
--- a/source/xfce/xfce4-pulseaudio-plugin/slack-desc
+++ b/source/xfce/xfce4-pulseaudio-plugin/slack-desc
@@ -2,7 +2,7 @@
# The "handy ruler" below makes it easier to edit a package description.
# Line up the first '|' above the ':' following the base package name, and
# the '|' on the right side marks the last column you can put a character in.
-# You must make exactly 11 lines for the formatting to be correct. It's also
+# You must make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':' except on otherwise blank lines.
|-----handy-ruler------------------------------------------------------|
@@ -10,7 +10,7 @@ xfce4-pulseaudio-plugin: xfce4-pulseaudio-plugin (PulseAudio plugin for Xfce pan
xfce4-pulseaudio-plugin:
xfce4-pulseaudio-plugin: xfce4-pulseaudio-plugin is a plugin for the Xfce panel which provides
xfce4-pulseaudio-plugin: a convenient way to adjust the audio volume of the PulseAudio sound
-xfce4-pulseaudio-plugin: system and to an auto mixer tool like pavucontrol. It can optionally
+xfce4-pulseaudio-plugin: system and to an auto mixer tool like pavucontrol. It can optionally
xfce4-pulseaudio-plugin: handle multimedia keys for controlling the audio volume.
xfce4-pulseaudio-plugin:
xfce4-pulseaudio-plugin:
diff --git a/source/xfce/xfce4-pulseaudio-plugin/xfce4-pulseaudio-plugin.SlackBuild b/source/xfce/xfce4-pulseaudio-plugin/xfce4-pulseaudio-plugin.SlackBuild
index 7d3984c32..cada16b5c 100755
--- a/source/xfce/xfce4-pulseaudio-plugin/xfce4-pulseaudio-plugin.SlackBuild
+++ b/source/xfce/xfce4-pulseaudio-plugin/xfce4-pulseaudio-plugin.SlackBuild
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for xfce4-pulseaudio-plugin
@@ -22,9 +22,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=xfce4-pulseaudio-plugin
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-2}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -34,9 +36,16 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -58,7 +67,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
chown -R root:root .
find . \
diff --git a/source/xfce/xfce4-pulseaudio-plugin/xfce4-pulseaudio-plugin.url b/source/xfce/xfce4-pulseaudio-plugin/xfce4-pulseaudio-plugin.url
new file mode 100644
index 000000000..4376b0a53
--- /dev/null
+++ b/source/xfce/xfce4-pulseaudio-plugin/xfce4-pulseaudio-plugin.url
@@ -0,0 +1 @@
+http://archive.xfce.org/src/panel-plugins/xfce4-pulseaudio-plugin/0.4/xfce4-pulseaudio-plugin-0.4.0.tar.bz2